org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery

## Interface JavaQueryFactory

    public interface JavaQueryFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `JavaQueryPackage`
Generated:
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static JavaQueryFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`JavaQuery` `createJavaQuery()` Returns a new object of class 'Java Query'.
`JavaQueryPackage` `getJavaQueryPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final JavaQueryFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createJavaQuery

    JavaQuery createJavaQuery()

Returns a new object of class 'Java Query'.

Returns:
  a new object of class 'Java Query'.
Generated:

#### getJavaQueryPackage

    JavaQueryPackage getJavaQueryPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: